VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "PortMapperCBs"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'
'=============
'PortMapperCBs
'=============
'
'Implements callback interface required by PortMapper for doing
'UPnP DeviceFinder calls.
'

Implements UPNPLib.IUPnPDeviceFinderCallback

Public Event DeviceAdded(ByVal Device As UPNPLib.IUPnPDevice)
Public Event DeviceRemoved(ByVal UDN As String)
Public Event SearchComplete()

Private Sub IUPnPDeviceFinderCallback_DeviceAdded(ByVal lFindData As Long, ByVal pDevice As UPNPLib.IUPnPDevice)
    RaiseEvent DeviceAdded(pDevice)
End Sub

Private Sub IUPnPDeviceFinderCallback_DeviceRemoved(ByVal lFindData As Long, ByVal bstrUDN As String)
    RaiseEvent DeviceRemoved(bstrUDN)
End Sub

Private Sub IUPnPDeviceFinderCallback_SearchComplete(ByVal lFindData As Long)
    RaiseEvent SearchComplete
End Sub
